<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.16"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>LibGE: Member List</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="cropped-BDS-Logo-1.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">LibGE
   &#160;<span id="projectnumber">0.31.0</span>
   </div>
   <div id="projectbrief">A c++ GE implementation</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.16 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

</div><!-- top -->
<div class="header">
  <div class="headertitle">
<div class="title">Genotype Member List</div>  </div>
</div><!--header-->
<div class="contents">

<p>This is the complete list of members for <a class="el" href="class_genotype.html">Genotype</a>, including all inherited members.</p>
<table class="directory">
  <tr class="even"><td class="entry"><a class="el" href="class_genotype.html#a974e58866f2e412a55242a1c18aae333">Genotype</a>(const int *=0, const unsigned int=0, const bool=true, const FitnessType=MIN_GENOTYPE_FITNESS)</td><td class="entry"><a class="el" href="class_genotype.html">Genotype</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="class_genotype.html#a3599121bb21c4c45158a751336bc9731">Genotype</a>(const vector&lt; CodonType &gt; &amp;, const bool=true, const FitnessType=MIN_GENOTYPE_FITNESS)</td><td class="entry"><a class="el" href="class_genotype.html">Genotype</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="class_genotype.html#afb945a70caf7f355492b9f8260107db0">Genotype</a>(const CodonType)</td><td class="entry"><a class="el" href="class_genotype.html">Genotype</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="class_genotype.html#aa8dbacda53def16d4c139da36c942341">Genotype</a>(const Genotype &amp;)</td><td class="entry"><a class="el" href="class_genotype.html">Genotype</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="class_genotype.html#aadf41535b608d6f267f9806e761af618">getEffectiveSize</a>() const</td><td class="entry"><a class="el" href="class_genotype.html">Genotype</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="class_genotype.html#ae379171c81229356c957b68684c6bbfc">getFitness</a>() const</td><td class="entry"><a class="el" href="class_genotype.html">Genotype</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="class_genotype.html#aee063130a12267e56d79412df8c62440">getMaxCodonValue</a>() const</td><td class="entry"><a class="el" href="class_genotype.html">Genotype</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="class_genotype.html#ab1e330a8aea8cf0b8afb25868c56bd92">getValid</a>() const</td><td class="entry"><a class="el" href="class_genotype.html">Genotype</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="class_genotype.html#afbc7388b6da34dc2d80174db07c2ecde">getWraps</a>() const</td><td class="entry"><a class="el" href="class_genotype.html">Genotype</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="class_genotype.html#a5df64f772fe91381d56cfad29cfaf6b1">operator&lt;&lt;</a>(ostream &amp;, const Genotype &amp;)</td><td class="entry"><a class="el" href="class_genotype.html">Genotype</a></td><td class="entry"><span class="mlabel">friend</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="class_genotype.html#ab3287021beed9c887f2e323cdb20e1bf">setEffectiveSize</a>(const unsigned int)</td><td class="entry"><a class="el" href="class_genotype.html">Genotype</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="class_genotype.html#a8c7cc94674db119284c44bb733acbd0e">setFitness</a>(const FitnessType)</td><td class="entry"><a class="el" href="class_genotype.html">Genotype</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="class_genotype.html#a3fa471785e655f427acebbe5d91180b9">setMaxCodonValue</a>(const CodonType)</td><td class="entry"><a class="el" href="class_genotype.html">Genotype</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="class_genotype.html#a48c777eabac7de1ecf3d03b0dc92c7f0">setValid</a>(const bool)</td><td class="entry"><a class="el" href="class_genotype.html">Genotype</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="class_genotype.html#a539d555556efeb4f1e179ff8b22fa4f2">setWraps</a>(const unsigned int)</td><td class="entry"><a class="el" href="class_genotype.html">Genotype</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="class_genotype.html#ada6d57aa71cebe91f8a848b00dcfd3c5">~Genotype</a>()</td><td class="entry"><a class="el" href="class_genotype.html">Genotype</a></td><td class="entry"></td></tr>
</table></div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.16
</small></address>
</body>
</html>
